<?php
/* MT4Analysis - Change Log
   Copyright (C) 2010, Future Lab.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com */

// initialize session
session_start();

require '../lib/constants.php';
require '../lib/mt4analysis.php';
require '../lib/parse.php';

$_SESSION['rpath_2_root'] = '..';
?>
<HTML>
<HEAD>
<TITLE>MT4Analysis Change Log</TITLE>
</HEAD>
<BODY>
<A NAME="top"></A>
<CENTER><H1>MT4Analysis Change Log</H1></CENTER>
<P>This page will document all <B>Mt4Analysis</B> changes and the version
numbers.</P>
<H2>.48.01-2010.10.01</H2>
<UL>
<LI>New Items
<UL>
<LI>added new database table <B>parms</B>
</UL>
</UL>
<UL>
<LI>Modified Items
<UL>
<LI><B>lib/constants.php</B>> - added <B>DB_UPDATE_DATIME</B>
<LI>modified <B>mt4_sqlite_loader.php</B> to write the date and time of
<LI><B>lib/mt4analysis.php</B>
<UL>
<LI>added retrieval and display of last database update to function <B>page_header</B>
<LI>added function <B>tablerowtag</B>
</UL>
the last update to the <B>parms</B> table
<LI><B>misc/command_line.php</B> - removed create function for <B>roi</B>
and <B>tradetime</B>
<LI><B>manage/ea.php</B> - fixed bug where magic quotes could be on
</UL>
</UL>
<H2>.47.01-2010.08-06</H2>
<UL>
<LI><B>lib/sqlite_udf.php</B>
<UL>
<LI>change function <B>account_balance</B> to subtract the trade commission
<LI>removed function <B>roi</B>
<LI>removed function <B>tradetime</B>
</UL>
<LI><B>lib/mt4analysis.php</B> - added function roi
<LI><B>lib/datime.php</B> - complete rewrite
</UL>
<H2>.46.01-2010.07.20</H2>
<UL>
<LI>added link to this page from <A HREF="../index.php">main</A>
<LI>completed <A HREF="index.php">main documentation page</A>
<LI>changed <A HREF="../misc/command_line.php">sql cli page</A>
<UL>
<LI>removed all inline documentation
<LI>placed a link to the cli documentation
<LI>removed the creation of an <B>SQL VIEW</B> when operating on the 
<B>closedtrade</B> table
</UL>
<LI>added new database field <B>commission</B> in the <B>closedtrade</B>
table
<LI>updated mt4_sqlite_loader.php program to store <B>commission</B> field
in <B>closedtrade</B> table
</UL>
<?php require '../misc/footer.php'; ?>
</BODY>
</HTML>

